%define		plugin	flowplayer
Summary:	Flowplayer - The video player for the Web
Name:		jquery-%{plugin}
Version:	5.4.4
Release:	1
# The free version comes with a GPL-based license and carries a Flowplayer logo. Commercial use is allowed.
License:	GPL v3 with additional term
Group:		Applications/WWW
Source0:	http://releases.flowplayer.org/%{version}/flowplayer-%{version}.zip
# Source0-md5:	5ba7e137fe7c950eef93027c2ef53993
URL:		http://flowplayer.org/
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	unzip
Requires:	jquery >= 1.7.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir	%{_datadir}/jquery/%{plugin}

%description
Flowplayer design is simple and minimalistic. The player will look as
good on your site as it looks on ours.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}
cp -p %{plugin}.min.js  $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.min.js
cp -p %{plugin}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}-%{version}.js
ln -s %{plugin}-%{version}.min.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.js
ln -s %{plugin}-%{version}.js $RPM_BUILD_ROOT%{_appdir}/%{plugin}.src.js
cp -p %{plugin}.swf $RPM_BUILD_ROOT%{_appdir}
cp -a skin $RPM_BUILD_ROOT%{_appdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.md
%{_appdir}
%changelog
* Sat Nov 09 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery-flowplayer.git;a=log;h=master

* Sat Nov 09 2013 Elan Ruusamäe <glen@delfi.ee> 6a2e0f7
- up to Flowplayer v5.4.4 (Wednesday, 06. November 2013 01:27PM)

* Mon Aug 05 2013 Elan Ruusamäe <glen@delfi.ee> 42a1c6f
- up to v5.4.3 (Wednesday, 19. June 2013)

* Fri May 31 2013 Elan Ruusamäe <glen@delfi.ee> 9a0bf0c
- up to 5.4.2

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> aa70844
- mention about additional term in licensing

* Mon Apr 29 2013 Elan Ruusamäe <glen@delfi.ee> c448367
- new, version 5.4.1

